From e09c4c1de8b996296091e07987a39e4437847bc7 Mon Sep 17 00:00:00 2001
From: Michael Wetherell <mike.wetherell@ntlworld.com>
Date: Tue, 26 Feb 2008 08:35:45 +0000
Subject: [PATCH] check xmllint/xsltproc installed

git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@52104 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
---
 build/buildbot/tools/check.sh | 24 +++++++++++++++++++-----
 1 file changed, 19 insertions(+), 5 deletions(-)

diff --git a/build/buildbot/tools/check.sh b/build/buildbot/tools/check.sh
index 874bf7bf10..8fb70e4ddd 100755
--- a/build/buildbot/tools/check.sh
+++ b/build/buildbot/tools/check.sh
@@ -1,7 +1,7 @@
 #!/bin/sh
 #############################################################################
 # Name:        check.sh
-# Purpose:     Check embedded xslt
+# Purpose:     Offline checker for the buildbot configuration files
 # Author:      Mike Wetherell
 # RCS-ID:      $Id$
 # Copyright:   (c) 2007 Mike Wetherell
@@ -10,7 +10,7 @@
 
 usage() {
     echo "Usage: $0 [options] FILE..."
-    echo "Check embedded xslt"
+    echo "Offline checker for the buildbot configuration files"
     echo
     echo "Options:"
     echo "  -g      generate xslt"
@@ -26,6 +26,14 @@ badopt() {
     exit 1
 }
 
+progcheck() {
+    prog="$1"
+    $prog --version >/dev/null 2>&1 || {
+        echo "$0: requires $prog, not found" >&2
+        exit 1
+    }
+}
+
 GENERATE=1
 PREPROCESS=2
 VALIDATE=3
@@ -52,6 +60,12 @@ if [ $# -eq 0 ]; then
     usage
 fi
 
+XSLTPROC=xsltproc
+XMLLINT=xmllint
+
+progcheck $XSLTPROC
+progcheck $XMLLINT
+
 DIR="`dirname $0`"
 WORKDIR="${TMPDIR:-/tmp}/wx.$$"
 mkdir "$WORKDIR" || exit
@@ -102,7 +116,7 @@ generate()
 {
     INPUT="$1"
 
-    if xsltproc --xinclude -o "$XSLT" $DIR/embedded.xsl "$INPUT" 2>"$STDERR" &&
+    if $XSLTPROC --xinclude -o "$XSLT" $DIR/embedded.xsl "$INPUT" 2>"$STDERR" &&
        test \! -s "$STDERR"
     then
         if [ $MODE -eq $GENERATE ]; then
@@ -121,7 +135,7 @@ preprocess()
         return 0
     fi
 
-    if xsltproc --xinclude -o "$PREP" "$XSLT" "$INPUT" 2>"$STDERR" &&
+    if $XSLTPROC --xinclude -o "$PREP" "$XSLT" "$INPUT" 2>"$STDERR" &&
        test \! -s "$STDERR"
     then
         if [ $MODE -eq $PREPROCESS ]; then
@@ -140,7 +154,7 @@ validate()
         return 0
     fi
 
-    if xmllint --noout --schema $DIR/bot.xsd "$PREP" 2>"$STDERR"
+    if $XMLLINT --noout --schema $DIR/bot.xsd "$PREP" 2>"$STDERR"
     then
         errout "$NAME"
     else
-- 
2.45.2